Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/ceilometer/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/ceilometer/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/ceilometer/_edit_attributes.html.haml
@@ -13,6 +13,8 @@
     = integer_field :meters_interval
 
     = boolean_field :use_mongodb
+    .alert.alert-warning
+      = "MongoDB support is included as a technology preview."
 
     = integer_field %w(database metering_time_to_live)
     %span.help-block
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/cinder/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/cinder/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/cinder/_edit_attributes.html.haml
@@ -177,6 +177,10 @@
           {{#if_eq backend_driver 'hitachi'}}
           %li.list-group-item
             %fieldset
+              %span.help-block
+                = t(".volumes.hitachi_driver_hint")
+              %span.help-block
+                = t(".volumes.hitachi_driver_requirement")
               %legend
                 = t('.volumes.hitachi_parameters')
 
@@ -231,9 +235,13 @@
         %legend
           = t(".volumes.addheader")
 
-        = select_field %w(volumes backend_driver), :collection => :volume_driver_for_cinder
+        = select_field %w(volumes backend_driver), :collection => :volume_driver_for_cinder, "data-showit" => "eqlx", "data-showit-target" => "#eqlx_tech_preview", "data-showit-direct" => "true"
         = string_field %w(volumes backend_name)
 
+        #eqlx_tech_preview
+          .alert.alert-warning
+            = "EqualLogic support is included as a technology preview."
+
         %div.form-group.pull-left
           %input(id='add_cinder_backend' class="form-control" type="button" value="Add Backend")
 
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/tempest/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/tempest/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/tempest/_edit_attributes.html.haml
@@ -1,3 +1,7 @@
+.panel-body
+  .alert.alert-warning
+    = "Tempest is not supported."
+
 = attributes_for @proposal do
   .panel-sub
     = header show_raw_deployment?, true
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/trove/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/trove/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/trove/_edit_attributes.html.haml
@@ -1,3 +1,7 @@
+.panel-body
+  .alert.alert-warning
+    = "Trove is included as a technology preview."
+
 = attributes_for @proposal do
   .panel-sub
     = header show_raw_deployment?, true
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/config/locales/cinder/en.yml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/config/locales/cinder/en.yml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/config/locales/cinder/en.yml
@@ -68,6 +68,8 @@ en:
           vmware_parameters: 'VMware Parameters'
           vmware_volume_driver: 'VMware'
           vmware_cluster_hint: 'A comma-separated list of cluster names'
+          hitachi_driver_hint: 'Only Hitachi OpenStack Enterprise Driver (Hitachi Unified Storage-HUSVM) supported'
+          hitachi_driver_requirement: 'Raidcom needs to be manually installed'
           index:
             emc:
               ecom_server_ip: 'IP address of the ECOM server'
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/config/locales/manila/en.yml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/config/locales/manila/en.yml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/config/locales/manila/en.yml
@@ -47,6 +47,7 @@ en:
             config_hint: 'Each line will be added to manila.conf. If the driver needs an external file, this file must be manually uploaded.'
             driver_hint: 'For instance, manila.share.drivers.generic.GenericShareDriver'
             not_supported: 'Manually picking a driver can be used to specify a Manila driver not available in the list of drivers above. This is however not supported.'
+          hitachi_driver_hint: 'Only Hitachi OpenStack Enterprise Driver (Hitachi NAS) supported'
           index:
             generic:
               service_instance_user: 'Service instance user'
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/sahara/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/sahara/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/sahara/_edit_attributes.html.haml
@@ -1,3 +1,7 @@
+.panel-body
+  .alert.alert-warning
+    = "Sahara is included as a technology preview."
+
 = attributes_for @proposal do
   .panel-sub
     = header show_raw_deployment?, true
Index: crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/barbican/_edit_attributes.html.haml
===================================================================
--- crowbar-openstack-4.0+git.1485772107.0e604c0.orig/crowbar_framework/app/views/barclamp/barbican/_edit_attributes.html.haml
+++ crowbar-openstack-4.0+git.1485772107.0e604c0/crowbar_framework/app/views/barclamp/barbican/_edit_attributes.html.haml
@@ -1,3 +1,7 @@
+.panel-body
+  .alert.alert-warning
+    = "Barbican is included as a technology preview."
+
 = attributes_for @proposal do
   .panel-sub
     = header show_raw_deployment?, true
